Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class LabelAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
          info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
              info.bioinfweb.treegraph.document.nodedata.LabelAdapter

All Implemented Interfaces:
  IDElementAdapter, NodeDataAdapter

Direct Known Subclasses:
  NewLabelAdapter

    public class LabelAdapter

extends AbstractIDElementAdapter
implements NodeDataAdapter

Field Summary
`private java.text.DecimalFormat` | `defaultDecimalFormat`

Fields inherited from class info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
`id`

Constructor Summary
`LabelAdapter(java.lang.String labelID, java.text.DecimalFormat decimalFormat)`

Method Summary
`boolean` | `assignData(Node node, TextElementData data)`
`protected void` | `createData(Node node)` This method should create the data object if does not already exist.
`void` | `delete(Node node)`
`TextElementData` | `getData(Node node)`
`Label` | `getDataElement(Node node)` This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.
`java.text.DecimalFormat` | `getDecimalFormat(Node node)`
`java.lang.String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
`getID`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodedata.NodeDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText`

Field Detail

### defaultDecimalFormat

    private java.text.DecimalFormat defaultDecimalFormat

Constructor Detail

### LabelAdapter

    public LabelAdapter(java.lang.String labelID,
                        java.text.DecimalFormat decimalFormat)

Method Detail

### getData

    public TextElementData getData(Node node)

  Specified by:
    `getData` in class `TextElementDataAdapter`

### assignData

    public boolean assignData(Node node,
                              TextElementData data)

  Specified by:
    `assignData` in class `TextElementDataAdapter`

### getDecimalFormat

    public java.text.DecimalFormat getDecimalFormat(Node node)

  Specified by:
    `getDecimalFormat` in class `TextElementDataAdapter`

### createData

    protected void createData(Node node)

  Description copied from class: `TextElementDataAdapter`
  This method should create the data object if does not already exist.

  Specified by:
    `createData` in class `TextElementDataAdapter`
  Parameters:
    `node` - - the node wich is assiciated with the data object

### delete

    public void delete(Node node)

  Specified by:
    `delete` in interface `NodeDataAdapter`
  Overrides:
    `delete` in class `TextElementDataAdapter`

### getDataElement

    public Label getDataElement(Node node)

  Description copied from interface: `NodeDataAdapter`
  This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.

  Specified by:
    `getDataElement` in interface `NodeDataAdapter`
  Returns:

### toString

    public java.lang.String toString()

  Description copied from interface: `NodeDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeDataAdapter`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD